Skip to main content
GET
/
push-notifications
List push notifications for a user
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/campaigns/push-notifications \
  --header 'apikey: <api-key>' \
  --header 'appid: <appid>'
import requests

url = "https://{appId}.api-{region}.cometchat.io/v3/campaigns/push-notifications"

headers = {
"appid": "<appid>",
"apikey": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {appid: '<appid>', apikey: '<api-key>'}};

fetch('https://{appId}.api-{region}.cometchat.io/v3/campaigns/push-notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

apikey
string
header
required

Your CometChat REST API Key.

Headers

onbehalfof
string

UID of the user

appid
string
required

Tenant application ID

Query Parameters

limit
number

Response

200

Push notifications list